<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_prm.inc.php");
include_once("../inc/fic_tac.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
$_SESSION["typ_filtres"] = "dos";

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = "";
if (isset($_GET['fi']) && (trim($_GET['fi']) <> ""))
    $fi = intval($_GET['fi']);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Liste Dossiers"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg','<?PHP echo str_escape(_("Merci de confirmer<br />Sinon, cliquez sur 'Annuler'")); ?>');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
include_once("../inc/entete.inc.php");
if (@$_SESSION["niv_log"] >= 5) {
    ?>
    <p align="center"><span class="titrepage"><?PHP echo _("LISTE DES DOSSIERS"); ?></span></p>
<?PHP
} else {
    ?>
    <p align="center"><span class="titrepage"><?PHP echo _("VOS DOSSIERS"); ?></span></p>
<?PHP
}
$fic_imp = "dos_lsti.php";
if ((@$_SESSION["niv_log"] <> 1) AND (@$_SESSION["niv_log"] <> 11) AND (@$_SESSION["niv_log"] <> 10))
    $url_add = "cli_lst.php?td=dos";
$url_rss = lien_rss(@$_SESSION["code_log"], @$_SESSION["niv_log"], "dos");

$tab_fi = $tab_fi_dos_full;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstdos();
if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) {
    if (!stristr($rech, "WHERE "))
        $rech .= " WHERE " . TBDOS . ".dos_codeage='" . @$_SESSION["code_age"] . "'";
    else
        $rech .= " AND " . TBDOS . ".dos_codeage='" . @$_SESSION["code_age"] . "'";
}

switch ($fi) {
    case "1" :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE dos_datefin='0000-00-00'";
        else
            $rech .= " AND dos_datefin='0000-00-00'";
        break;
    case "2" :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE dos_datefin<>'0000-00-00'";
        else
            $rech .= " AND dos_datefin<>'0000-00-00'";
        break;
    default :
        break;
}
$rech .= crestr_triord($dos_titre_col, "dos_code", FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
$db->disconnect();

if ($rows) {
    include_once("formr.inc.php");
    $numrows = count($rows);

    $rech = modstr_triord($rech, $dos_titre_col, "dos_code", TRUE, $limit);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table
    echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

    // création entête
    titlst($dos_titre_col);
    echo "<th>" . _("Cliquer") . "</th>\n";

    $i = 0;

    // Inclusion module affichage liste dossiers
    include_once("../inc/dosr_lst.inc.php");

    echo "</table>\n";
    // *** Fin affichage de la table

    $db->disconnect();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = "";
    include_once("piedla.inc.php");
} else
    retpp();

include_once("pied.php");
?>
</body>
</html>